CreateResourceOwner
/api/v1/resources/{resource}/ownersAdd an owner to a resource.
Example request
Section titled “Example request”curl -X POST \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ -H "Content-Type: application/json" \ -d '{ "owner": "string" }' \ "https://us.oblique.security/api/v1/resources/{resource}/owners"Set OBLIQUE_API_KEY to your API key.
curl -X POST \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ -H "Content-Type: application/json" \ -d '{ "owner": "string" }' \ "https://eu.oblique.security/api/v1/resources/{resource}/owners"Set OBLIQUE_API_KEY to your API key.
Path parameters
Section titled “Path parameters”parentstringrequiredFormat:
resources/{resource}
Query parameters
Section titled “Query parameters”resourceOwnerIdstringIf specified, use this as the ID of the resource owner.
Request body
Section titled “Request body”namestringAssigned by Oblique. Name of the owner of the format
resources/{resource}/owners/{owner}.ownerstringrequiredSet once, when the resource is created. The owner of the resource. This can be a user, group, or team.
Format:
users/{user},groups/{group},teams/{team}createTimestring (date-time)read-onlyCreate and update timestamps.
updateTimestring (date-time)read-only
Response
Section titled “Response”200ResourceOwnerA ResourceOwner is a user, team, or group that owns a resource.
namestringAssigned by Oblique. Name of the owner of the format
resources/{resource}/owners/{owner}.ownerstringrequiredSet once, when the resource is created. The owner of the resource. This can be a user, group, or team.
Format:
users/{user},groups/{group},teams/{team}createTimestring (date-time)read-onlyCreate and update timestamps.
updateTimestring (date-time)read-only
Errors
Section titled “Errors”| Status | Meaning |
|---|---|
400 | Malformed request |
401 | Missing or invalid API key |
403 | Not allowed for this API key |
404 | Not found |
429 | Too many requests |
500 | Internal server error |